Page MenuHomePhabricator

bigbrother hosts missing exec packages
Closed, ResolvedPublic

Description

qsub expects the commands that are started to be available on the submit host as well. This doesn't seem to be the case:

Hmm, apparently whereever bigbrother is run from doesn't have php installed.... any easy way to convince jstart it might just work and to stop complaining?
Program not found on php, /usr/bin/php, /etc/alternatives/php, /usr/bin/php5 etc (seems to be the place on the exec hosts)..... 'fixed' it by making it call a bash script that calls exec to php

Event Timeline

Restricted Application added a project: Cloud-Services. · View Herald TranscriptAug 19 2016, 10:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

exec_environ indeed seems not included on the bigbrother host. We can either include that, or we can figure out how to make SGE not complain about missing files (which I think is configurable with the -b (binary) flag to qsub) and tune jsub/jstart accordingly.

Example of a big brother host?

But I vote adding exec_environ as the simple solution

scfc triaged this task as Medium priority.Feb 16 2017, 9:01 PM
scfc moved this task from Triage to Backlog on the Toolforge board.

BigBrother has been disabled in Toolforge.

https://wikitech.wikimedia.org/wiki/Help:Toolforge/Grid#Bigbrother_(Deprecated)

The tools-cron hosts have ::toollabs::exec_environ.

GTirloni closed this task as Resolved.Dec 12 2018, 9:12 AM
GTirloni removed a project: Cloud-Services.